Elasticsearch 5.0 и Elasticsearch-Spark connector-что такое правильный Maven artefact

При написании приложения для запуска на Apache Spark 1.6 с помощью Elasticsearch-Spark connector, документация на ( https://www.elastic.co/guide/en/elasticsearch/hadoop/5.0/install.html#_minimalistic_binaries ) говорит использовать Maven artefact

<dependency>
<groupId>org.elasticsearch</groupId>
<artifactId>elasticsearch-spark_2.10</artifactId>
<version>5.0.0</version>
</dependency>

Однако maven не удается с сообщением об ошибке, что указанный артефакт не может быть найден. После поиска по maven central я нашел однако альтернативные версии:

Для Spark 1.3+

    <dependency>
            <groupId>org.elasticsearch</groupId>
            <artifactId>elasticsearch-spark-13_2.10</artifactId>
            <version>5.0.0</version>
    </dependency>

Для Spark 2.*

    <dependency>
            <groupId>org.elasticsearch</groupId>
            <artifactId>elasticsearch-spark-20_2.10</artifactId>
            <version>5.0.0</version>
    </dependency>

1 ответ